log4cplus::spi::FilterFactory Class Referenceabstract

This abstract class defines the "Factory" interface to create "Appender" objects. More...

`#include <factory.h>`

Inheritance diagram for log4cplus::spi::FilterFactory:
[legend]
Collaboration diagram for log4cplus::spi::FilterFactory:
[legend]

## Public Types

typedef Filter | ProductType
typedef FilterPtr | ProductPtr

## Public Member Functions

| FilterFactory ()
virtual | ~FilterFactory ()=0
virtual FilterPtr | createObject (const log4cplus::helpers::Properties &props)=0
| Create a "Filter" object.
Public Member Functions inherited from log4cplus::spi::BaseFactory
virtual | ~BaseFactory ()=0
virtual log4cplus::tstring const & | getTypeName () const =0
| Returns the typename of the objects this factory creates.

## Detailed Description

This abstract class defines the "Factory" interface to create "Appender" objects.

Definition at line 104 of file factory.h.

## Member Typedef Documentation

## ProductPtr

typedef FilterPtr log4cplus::spi::FilterFactory::ProductPtr

Definition at line 107 of file factory.h.

## ProductType

typedef Filter log4cplus::spi::FilterFactory::ProductType

Definition at line 106 of file factory.h.

## Constructor & Destructor Documentation

## FilterFactory()

log4cplus::spi::FilterFactory::FilterFactory | ( |  | ) |

## ~FilterFactory()

virtual log4cplus::spi::FilterFactory::~FilterFactory | ( |  | ) |

pure virtual

## Member Function Documentation

## createObject()

virtual FilterPtr log4cplus::spi::FilterFactory::createObject | ( | const log4cplus::helpers::Properties & | props | ) |

pure virtual

Create a "Filter" object.

The documentation for this class was generated from the following file:

- factory.h